Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.extract
Class LatticeViewer

    java.lang.Object
      cc.mallet.extract.LatticeViewer

    public class LatticeViewer

extends java.lang.Object

Created: Oct 31, 2004

Version:
  $Id: LatticeViewer.java,v 1.1 2007/10/22 21:37:44 mccallum Exp $
Author:

  Field Summary
  `static int` | `numMaxViterbi`

  Constructor Summary
  `LatticeViewer()`

  Method Summary
  `static void` | `dualLattice2html(java.io.PrintWriter out, java.lang.String desc, cc.mallet.extract.LatticeViewer.ExtorInfo info1, cc.mallet.extract.LatticeViewer.ExtorInfo info2)`
  `static void` | `extraction2html(Extraction extraction, CRFExtractor extor, java.io.PrintStream out)`
  `static void` | `extraction2html(Extraction extraction, CRFExtractor extor, java.io.PrintStream out, boolean showLattice)`
  `static void` | `extraction2html(Extraction extraction, CRFExtractor extor, java.io.PrintWriter out)`
  `static void` | `extraction2html(Extraction extraction, CRFExtractor extor, java.io.PrintWriter out, boolean showLattice)`
  `static int` | `getNumFeaturesToDisplay()`
  `static void` | `setNumFeaturesToDisplay(int numFeaturesToDisplay)`
  `static void` | `viewDualResults(java.io.File dir, Extraction e1, CRFExtractor extor1, Extraction e2, CRFExtractor extor2)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### numMaxViterbi

      public static int numMaxViterbi

  Constructor Detail

  ### LatticeViewer

      public LatticeViewer()

  Method Detail

  ### getNumFeaturesToDisplay

      public static int getNumFeaturesToDisplay()

  ### setNumFeaturesToDisplay

      public static void setNumFeaturesToDisplay(int numFeaturesToDisplay)

  ### extraction2html

      public static void extraction2html(Extraction extraction,
                                         CRFExtractor extor,
                                         java.io.PrintStream out)

  ### extraction2html

      public static void extraction2html(Extraction extraction,
                                         CRFExtractor extor,
                                         java.io.PrintWriter out)

  ### extraction2html

      public static void extraction2html(Extraction extraction,
                                         CRFExtractor extor,
                                         java.io.PrintStream out,
                                         boolean showLattice)

  ### extraction2html

      public static void extraction2html(Extraction extraction,
                                         CRFExtractor extor,
                                         java.io.PrintWriter out,
                                         boolean showLattice)

  ### viewDualResults

      public static void viewDualResults(java.io.File dir,
                                         Extraction e1,
                                         CRFExtractor extor1,
                                         Extraction e2,
                                         CRFExtractor extor2)
                                  throws java.io.IOException

    Throws:
      `java.io.IOException`

  ### dualLattice2html

      public static void dualLattice2html(java.io.PrintWriter out,
                                          java.lang.String desc,
                                          cc.mallet.extract.LatticeViewer.ExtorInfo info1,
                                          cc.mallet.extract.LatticeViewer.ExtorInfo info2)

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD